THE OATHBREAKER PROJECT

http://8ch.net/tech/res/634569.html https://archive.is/DhuNr

Greetings /tech/

I am a programmer with over 10 years of experience, I develop applications for mobile and PC and have worked with most major programming languages. Like everyone else in this field, I spend a lot of time thinking about the evolution of technology, and how it guides society's development as a whole. 

In the past decade, humanity has experienced many sweeping positive changes due to the emergence of social media. It was the first time that we could have a near real-time picture of what was actually happening in the world, from ordinary citizens. With livestreaming starting to reach the mainstream, we are effectively beginning to see ourselves as who we really are, instead of a platonic ideal of what the MSM narrative is feeding us in any current year.

Unfortunately, in recent times the flaws of mainstream social media sites such as Facebook, YouTube, and Twitter are becoming plainly visible — and we have reached the point where an alternative is needed to address these issues. Over the past year I have been developing the concept for an open source project that will combine the positive aspects of what currently exists while addressing these flaws. I would like to create a free, distributed social network that allows the user to switch between public and private (anonymous) profiles, with a built-in cryptocurrency microtransaction system.

There have been many attempts to create similar kinds of software, and there are some in progress — but these projects have either failed, or are being created by for-profit companies. I have yet to discover anything that I think has the "perfect combination" of already existing and emerging technologies which addresses the current needs of society while addressing the flaws of what is currently mainstream. 

ITT I will try to explain why the need exists for such software and provide a general outline of what can be done to address these needs. I would also like to ask for your help and advice for accomplishing this goal.

[[[BACKGROUND]]]

When I first was introduced to Facebook, I had a severe existential crisis. It was the first time in human history where people's private lives were recorded and shared publicly, and most people are still painfully unaware of the implications of having their every thought stored on someone's hard drive, somewhere, forever. The degree to which people were willing to share even the most intimate parts of themselves varied from person to person, but as a result we saw a culture of people arise (especially millenials) treating social media as their personal diaries and/or PR outlets — turning people into their own brands, shilling for a new universal currency — popularity. Everyone became a "publisher", privacy became "dead", and people became a slave to the "like". There was no way to stop it — that's just how it was given the current state of the available software at the time.

As Assange said during the early years of social media, "Facebook is the most appalling spying machine that has ever been invented". With the NSA leaks, these fears were completely justified and vindicated. However, most people didn't seem to care, since "that's just the way it is", or they had "nothing to hide". Maybe some oldfags will remember a crazy person posting about a project called "OPERATION FACEPAINT", wherein a script could be used to take people's facebook photos and apply a "jizz filter" to them (a.k.a. facepainting) — a vulgar and artistic troll designed to illustrate the fact that once your photo is online, EVERYONE has access to them (and consequently, a small portion of these people will have inevitably fapped to them). It was meant to be an edgy statement on how society as a whole took privacy for granted because of the current software's failure to address these concerns. I was put in the mental hospital before this project could begin — I was overworked and burned out from a shitty underpaid programming job that caused me to have some bizarre experiences that was triggered by my severe paranoia of the "all seeing eye" that I regarded facebook as at the time. 

Several years have passed and we have seen a disturbing trend emerge on these websites; government-sanctioned censorship, purity spiralling and virtue signalling. Reality according to Facebook has become subjective, morally relativistic, and anti-truth. At this point, Facebook is a conformity machine effectively ball-gagging society — it has become the global "Keeping Up With The Jones's" style competition of who can be the most tolerant, most progressive, most virtuous figure out of their group of friends. This is primarily due to the fact that Facebook forces people's accounts to be associated with their real-life identities. As a result, people are unwilling to publish what they really think. Inconvenient truths, critical thought and controversial opinions are left by the wayside due to the very real fear of repercussions by some authority, whether it be from some government entity or the PC thought police. It is no question that the SJW movement is a direct result of this aspect of the major social media websites. What's worse is that what is promoted as "news" on these websites is extremely filtered and has a very clear bias because these large corporations are locked into this spiral as well.

The Ministry of Love is very real, and it exists online. 

[[[ANONYMITY AND IMAGEBOARD CULTURE]]]

If I have learned anything from browsing the chans for the past twelve or so years, it's that anonymity has been the most effective tool for community organization and free speech ever created. It's why the chans have been able to accomplish such impressive tasks that would be impossible anywhere else, creating a hivemind that combines the skills and expertise of all of it's users. Anonymity is also the reason why imageboards are effectively immune to shilling and divide and conquer tactics. By nature, opinions that hold no weight are filtered and disregarded, while useful ideas from the smartest and most thoughtful anons gain the most traction. It is the purest form of critical debate and discourse, without any cultural bias. It is a self-correcting democratic system powered by reason and evidence. Individual users on the chans may come from any background or walk of life, but being anonymous allows for all ideas to be examined and disseminated in a way that the net result is a cohesive combination of all positive aspects that will work for the larger community as a whole. It is the best source of information on an unlimited number of topics, combining the brain power of an potentially unlimited amount of users.

The reason why this is important is becasue up until now humanity has been playing the game of "picking sides," if you're on one team, you're battling another. If you subscribe to one political idealogy, or religious belief system, you are against another. At the same time as soon as you join any group you associate yourself with the weakest, least intelligent, and most radical members of that group; even if you don't agree 100% with the tenants of that particular idealogy. This is particularly dangerous because even though most centralized belief systems will contain confluences with other beliefs at their core (i.e. the Golden Rule), the "pick a side" nature will always pit people against each other in a battle for total supremacy. The best example of this is with the "radical extremists" of any major religion. The "extremists" are actually the most literal and true followers, while moderates may have more elasticity in their beliefs and inject other beiefs from opposing groups. Even though moderates may say that the radicals are "not true followers of (x)" it's actually the opposite that is true. At the same time, they get lumped into the same label and are again sadly are associated with the most evil members of the group. It is a binary YES or NO switch that fuels the basis of the divide and conquer currently enslaving us today.

(((THE OATHBREAKER PROJECT)))

What I appreciate about the Oathbreaker (a.k.a. autistic meme circles) is that it recognizes the "pick a side" nature of the centralization of ideas. What it illustrates is that nearly every idealogy that exists contains confluence, and you don't necessarily have to be part of one group or another to believe Golden Rule ideals that should be obvious for any human being. The internet has taught us that we are not bound to one way of thinking or another, and at our core human beings essentially want the same thing — to live in peace and prosperity. People are not ideas, and people can change their minds about ideas at any time. It's hilarious to me that every time the oathbreaker appears in a thread it's heavily shilled against, and nearly every time we get someone who takes this super seriously and is quite intent on "restoring the oaths". Who do you think benefits from keeping us in the divide and conquer? Desperate establishment climbers who want to follow the rules and keep the population in check.

Software doesn't work that way. There is always a workaround, and we need to start thinking of our ideas on a floating point spectrum, instead of the YES or NO black and white that has kept humanity divided and has caused so much suffering.

The philosophy behind the OATHBREAKER project is to create a social media website that combines the useful aspects of the mainstream sites with the anonymous nature of imageboards. A platform free of censorship — where you can choose to publish what you would like under your real name, while having an anonymous option for unbiased debate (and of course, shitposting). It will be a decentralized platform, using blockchain technology. At the same time, the support for users to pay each other with Bitcoin or Ether will be a fundamental aspect of the system. I believe this combination will allow for decentralized community organization and foster a global economy outside of the central banks. We will be able to skip the middleman of policymaking and the banks and allow us for once be able to govern ourselves. It will truly be power to the people, and not the false promise of this sanctioned by any massive state power.

I need your help. I am only one person, and I don't want to create this for profit. As more and more of our voices are being silenced on the mainstream websites, I believe this should be a universal tool that should be available for everyone. I believe through our combined efforts we will be able to create a self-evolving platform that meets the needs of society as a whole, at any given time. I created this thread to ask for advice on how to begin.

The best part is, all of the ingredients for this kind of system already exists. It should be relatively trivial for us to implement if we put our heads together.

SAT NAM. The internet has no identity. It was created to reveal the truth. INFORMATION IS MEANT TO BE FREE!

tl;dr is anyone interested in helping me build a distributed, secure, anti-censorship, Twitter alternative that allows for anonymous shitposting and a way for us to pay each other?

Maximum Love,

~ e m m a n u e l l a ~